Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1373955 - python import yui fail
Summary: python import yui fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libyui-bindings
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-07 14:15 UTC by Philippe Makowski
Modified: 2016-11-26 22:52 UTC (History)
1 user (show)

Fixed In Version: libyui-bindings-1.1.1-4.fc24 libyui-bindings-1.1.1-6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 23:54:13 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
proposed changes (5.32 KB, patch)
2016-09-08 14:48 UTC, Philippe Makowski
no flags Details | Diff

Description Philippe Makowski 2016-09-07 14:15:23 UTC
Description of problem:
yui module can't be imported in python2 and python3

Version-Release number of selected component (if applicable):
python3-yui-1.1.1-3.fc24.x86_64  
python2-yui-1.1.1-3.fc24.x86_64  

How reproducible:

always

Steps to Reproduce:
$ python -m yui
Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 174, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib64/python2.7/site-packages/yui.py", line 5048, in <module>
    class YOptionalWidgetFactory(_object):
  File "/usr/lib64/python2.7/site-packages/yui.py", line 5065, in YOptionalWidgetFactory
    def createWizard(self, parent, backButtonLabel, abortButtonLabel, nextButtonLabel, wizardMode=YWizardMode_Standard):
NameError: name 'YWizardMode_Standard' is not defined

$ python3 -m yui
Traceback (most recent call last):
  File "/usr/lib64/python3.5/runpy.py", line 170, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib64/python3.5/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib64/python3.5/site-packages/yui.py", line 5048, in <module>
    class YOptionalWidgetFactory(_object):
  File "/usr/lib64/python3.5/site-packages/yui.py", line 5065, in YOptionalWidgetFactory
    def createWizard(self, parent, backButtonLabel, abortButtonLabel, nextButtonLabel, wizardMode=YWizardMode_Standard):
NameError: name 'YWizardMode_Standard' is not defined

Comment 1 Philippe Makowski 2016-09-07 14:23:52 UTC
upstream bug report with possible patch
https://github.com/libyui/libyui-bindings/issues/22

Comment 2 Philippe Makowski 2016-09-08 14:48:15 UTC
Created attachment 1199134 [details]
proposed changes

Please consider the following changes
as I can't push in rpms/libyui-bindings fedora git repo

here the koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=15543370

Comment 3 Fedora Update System 2016-10-26 03:21:14 UTC
libyui-bindings-1.1.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7630a3575e

Comment 4 Fedora Update System 2016-10-26 04:24:15 UTC
libyui-bindings-1.1.1-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e470aa9107

Comment 5 Fedora Update System 2016-11-03 23:54:13 UTC
libyui-bindings-1.1.1-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-11-26 22:52:29 UTC
libyui-bindings-1.1.1-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.